This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 8671 - X messages go to console
X messages go to console
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-20 13:41 EST by Tim Waugh
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-17 06:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2000-01-20 13:41:04 EST
Instead of cluttering up tty1 with X messages, why not redirect its output to a file in /tmp?
Comment 1 Bill Nottingham 2000-02-01 15:32:59 EST
? Where are you getting X messages from - startx?
Comment 2 Tim Waugh 2000-02-02 04:51:59 EST
Er.. no, I thought it was happening in runlevel 5.  I can't seem to reproduce it
now.  Must have imagined it..(!)
Comment 3 Tim Waugh 2000-02-02 06:18:59 EST
Aha, found it.  If you install a KDE workstation, X messages go to tty1.  kdm
problem I guess.
Comment 4 Tim Waugh 2000-02-21 08:19:59 EST
This still happens in piglet-0220.
Comment 5 Tim Waugh 2000-02-28 16:47:59 EST
This still happens in piglet-0228.
Comment 6 Preston Brown 2000-05-05 13:35:59 EDT
tim: which X messages are these: the startup information from X, or other
messages?
Comment 7 Tim Waugh 2000-05-15 07:00:59 EDT
Startup from X.  It only seems to affect my home machine (a 486), so perhaps
there's a timing issue.
Comment 8 Gerald Teschl 2000-08-24 06:05:40 EDT
Also happens on my PII 330.
Possible solution:
--- /etc/X11/prefdm.orig        Thu Aug 24 12:01:24 2000
+++ /etc/X11/prefdm     Thu Aug 24 12:03:46 2000
@@ -36,6 +36,6 @@
        fi
 fi
 if [ -n "$preferred" ] && which $preferred >/dev/null 2>&1; then
-       exec `which $preferred` $*
+       exec `which $preferred` $* &> /var/log/xdm.log
 fi
 exit 1
Comment 9 Tim Waugh 2000-10-04 16:12:10 EDT
I think notting may have incorporated this patch (or one like it).
Comment 10 Bernhard Rosenkraenzer 2000-10-17 06:53:07 EDT
7.0 redirects output of *dm to /dev/null (Yes, I'd prefer /var/log/something,
too).

Note You need to log in before you can comment on or make changes to this bug.